<?xml version="1.0" encoding="UTF-8"?>
<wsdl:definitions xmlns:evt="http://www.eclipse.org/alf/schema/EventBase/1" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tns="http://www.eclipse.org/alf/schema/EventBase/1" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema" name="ALFEventManager" targetNamespace="http://www.eclipse.org/alf/schema/EventBase/1">
    
  <wsdl:documentation>
	WARNING: PRELIMINARY VERSION SUBJECT TO CHANGE
  
      Copyright Notice
      The material in this document is Copyright (c) Serena Software, Inc. and others, 2005, 2006
      Terms and Conditions:
      The Eclipse Foundation makes available all content in this document ("Content").
      Unless otherwise indicated below, the Content is provided to you under the terms
      and conditions of the Eclipse Public License Version 1.0 ("EPL").
      A copy of the EPL is available at http://www.eclipse.org/legal/epl-v10.html.
      For purposes of the EPL, "Program" will mean the Content.
      If you did not receive this Content directly from the Eclipse Foundation, the
      Content is being redistributed by another party ("Redistributor") and different
      terms and conditions may apply to your use of any object code in the Content.
      Check the Redistributor's license that was provided with the Content.
      If you did not receive any such license, contact the Redistributor.
      Unless otherwise indicated below, the terms and conditions of the EPL still apply to the Content.
  </wsdl:documentation>
    
  <!-- ALF EventManager WSDL -->  
<wsdl:types>
	<xsd:schema xmlns="http://www.eclipse.org/alf/schema/EventBase/1" elementFormDefault="qualified" targetNamespace="http://www.eclipse.org/alf/schema/EventBase/1">
		<xsd:include schemaLocation="ALFEventBase_1-Composer.xsd"/>
    </xsd:schema>
</wsdl:types>

<wsdl:message name="EventNotice">
	<wsdl:part type="evt:ALFEventType" name="EventNotice"/>
</wsdl:message>

<wsdl:message name="EventNoticeResponse">
	<wsdl:part type="evt:ALFEventResponseType" name="EventNoticeResponse"/>
</wsdl:message>

<wsdl:message name="EventNoticeWithReply">
	<wsdl:part type="evt:ALFEventType" name="EventNoticeWithReply"/>
</wsdl:message>

<wsdl:message name="EventNoticeWithReplyResponse">
	<wsdl:part type="evt:ALFEventWithReplyResponseType" name="EventNoticeWithReplyResponse"/>
</wsdl:message>


<wsdl:portType name="ALFEventManager">
	<wsdl:operation name="EventNotice">
		<wsdl:input message="tns:EventNotice"/>
		<wsdl:output message="tns:EventNoticeResponse"/>
	</wsdl:operation>
	<wsdl:operation name="EventNoticeWithReply">
		<wsdl:input message="tns:EventNoticeWithReply"/>
		<wsdl:output message="tns:EventNoticeWithReplyResponse"/>
	</wsdl:operation>
</wsdl:portType>

<wsdl:portType name="ALFServiceFlow">
	<wsdl:operation name="TEMPEventNotice">
		<wsdl:input message="tns:EventNotice"/>
	</wsdl:operation>
</wsdl:portType>

<wsdl:portType name="ALFServiceFlowWithReply">
	<wsdl:operation name="EventNotice">
		<wsdl:input message="tns:EventNotice"/>
		<wsdl:output message="tns:EventNoticeWithReplyResponse"/>
	</wsdl:operation>
</wsdl:portType>

<wsdl:binding name="ALFEventManagerSOAP" type="tns:ALFEventManager">
	<soap:binding style="rpc" transport="http://schemas.xmlsoap.org/soap/http"/>
	<wsdl:operation name="EventNotice">
	<soap:operation soapAction=""/>
		<wsdl:input>
			<soap:body use="literal" namespace="http://www.eclipse.org/alf/schema/EventBase/1"/>
		</wsdl:input>
		<wsdl:output>
			<soap:body use="literal" namespace="http://www.eclipse.org/alf/schema/EventBase/1"/>
		</wsdl:output>
	</wsdl:operation>
	<wsdl:operation name="EventNoticeWithReply">
	<soap:operation soapAction=""/>
		<wsdl:input>
			<soap:body use="literal" namespace="http://www.eclipse.org/alf/schema/EventBase/1"/>
		</wsdl:input>
		<wsdl:output>
			<soap:body use="literal" namespace="http://www.eclipse.org/alf/schema/EventBase/1"/>
		</wsdl:output>
	</wsdl:operation>
</wsdl:binding>

<wsdl:binding name="ALFServiceFlowSOAP" type="tns:ALFServiceFlow">
	<soap:binding style="rpc" transport="http://schemas.xmlsoap.org/soap/http"/>
		<wsdl:operation name="TEMPEventNotice">
	<soap:operation soapAction=""/>
		<wsdl:input>
			<soap:body use="literal" namespace="http://www.eclipse.org/alf/schema/EventBase/1"/>
		</wsdl:input>
	</wsdl:operation>
</wsdl:binding>

<wsdl:binding name="ALFServiceFlowWithReplySOAP" type="tns:ALFServiceFlowWithReply">
	<soap:binding style="rpc" transport="http://schemas.xmlsoap.org/soap/http"/>
	<wsdl:operation name="EventNotice">
		<soap:operation soapAction=""/>
			<wsdl:input>
				<soap:body use="literal" namespace="http://www.eclipse.org/alf/schema/EventBase/1"/>
			</wsdl:input>
			<wsdl:output>
				<soap:body use="literal" namespace="http://www.eclipse.org/alf/schema/EventBase/1"/>
			</wsdl:output>
	</wsdl:operation>
</wsdl:binding>

<!-- Example services -->
<wsdl:service name="ALFEventManager">
	<wsdl:port binding="tns:ALFEventManagerSOAP" name="ALFEventManagerSOAP">
		<soap:address location="http://localhost:8080/ALFEventManager/services/ALFEventManagerSOAP"/>
	</wsdl:port>
</wsdl:service>

<wsdl:service name="ALFServiceFlow">
	<wsdl:port binding="tns:ALFServiceFlowSOAP" name="ALFServiceFlowSOAP">
		<soap:address location="http://localhost:8080/ALFServiceFlow/services/ALFServiceFlowSOAP"/>
	</wsdl:port>
</wsdl:service>

<wsdl:service name="ALFServiceFlowWithReply">
	<wsdl:port binding="tns:ALFServiceFlowWithReplySOAP" name="ALFServiceFlowWithReplySOAP">
		<soap:address location="http://localhost:8080/ALFServiceFlow/services/ALFServiceFlowWithReplySOAP"/>
	</wsdl:port>
</wsdl:service>

</wsdl:definitions>
